php7.1-mapi_8.1.0-3ubuntu5_i386.deb


Advertisement

Description

php7.1-mapi - Complete and feature rich groupware solution - PHP MAPI bindings

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name php7.1-mapi
Package version 8.1.0
Package release 3ubuntu5
Package architecture i386
Package type deb
Installed size 830 B
Download size 166.48 KB
Official Mirror archive.ubuntu.com
The Kopano Collaboration Platform (KCP) is a complete, stable and
flexible groupware solution supporting open source as well as proprietary
clients including mobile ones. It also features a web interface.
Using this module, you can create PHP programs which use MAPI
calls to interact with Kopano.

Alternatives

Package Version Architecture Repository
php7.1-mapi_8.1.0-3ubuntu5_amd64.deb 8.1.0 amd64 Ubuntu Universe
php7.1-mapi - - -

Requires

Name Value
kopano-libs >= 8.0.1
libc6 >= 2.17
libgcc1 >= 1:3.0
libstdc++6 >= 5.2
php-common >= 1:7.0+33~
phpapi-20160303 -

Download

Type URL
Binary Package php7.1-mapi_8.1.0-3ubuntu5_i386.deb
Source Package kopanocore

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install php7.1-mapi deb package:
    # sudo apt-get install php7.1-mapi

Files

Path
/etc/php/7.1/mods-available/mapi.ini
/usr/lib/php/20160303/mapi.so
/usr/share/doc/php7.1-mapi/changelog.Debian.gz
/usr/share/doc/php7.1-mapi/copyright
/usr/share/php/mapi/class.baseexception.php
/usr/share/php/mapi/class.baserecurrence.php
/usr/share/php/mapi/class.freebusypublish.php
/usr/share/php/mapi/class.mapiexception.php
/usr/share/php/mapi/class.meetingrequest.php
/usr/share/php/mapi/class.recurrence.php
/usr/share/php/mapi/class.taskrecurrence.php
/usr/share/php/mapi/class.taskrequest.php
/usr/share/php/mapi/mapi.util.php
/usr/share/php/mapi/mapicode.php
/usr/share/php/mapi/mapidefs.php
/usr/share/php/mapi/mapiguid.php
/usr/share/php/mapi/mapitags.php

Changelog

2017-08-07 - Matthias Klose <doko@ubuntu.com>
kopanocore (8.1.0-3ubuntu5) artful; urgency=medium
* No-change rebuild for GCC 7 abi mangling change.
2017-07-25 - Dimitri John Ledkov <xnox@ubuntu.com>
kopanocore (8.1.0-3ubuntu4) artful; urgency=medium
* Cherrypick upstream patch to fix ftbfs with new libmime.
2017-07-20 - Gianfranco Costamagna <locutusofborg@debian.org>
kopanocore (8.1.0-3ubuntu3) artful; urgency=medium
* Rebuild against new libgsoap-2.8.49.
2017-06-25 - Steve Langasek <steve.langasek@ubuntu.com>
kopanocore (8.1.0-3ubuntu2) artful; urgency=medium
* No-change rebuild against libvmime1
2017-05-03 - Nishanth Aravamudan <nish.aravamudan@canonical.com>
kopanocore (8.1.0-3ubuntu1) artful; urgency=medium
* d/control, d/rules: bump version to PHP 7.1.
* d/p/OpenSSL-Make-SSLv2-conditional.patch
- Fix logical error in patch (Debian Bug: #861849).
2017-01-19 - Guido Günther <agx@sigxcpu.org>
kopanocore (8.1.0-3) unstable; urgency=medium
[ Guido Günther ]
* [6480d2c] Add db_stop calls to avoid hangs in postinst
* [8dc1334] autopkgtests: Move test output past package installation so it's
simpler to grasp whats being tested.
[ Mark Dufour ]
* [e6170d3] debian/copyright: add some still missed files.
Copyright information for some subfolders in swig/ differs from the other
Kopano source files.
Some parts of swig/python/kopano/kopano/__init__.py are written by other
authors than Kopano.
Reorder the licenses in alphabetical order.
* [a9b88b0] rename package kopano-search-plus to kopano-search.
[ Carsten Schoenert ]
* php7.0-mapi: use dh-php.
* [85aec63] Fix segfault on cleanup. New patch:
remove-undocummented-sk_SSL_COMP_free-call.patch
2016-12-25 - Guido Günther <agx@sigxcpu.org>
kopanocore (8.1.0-2) unstable; urgency=medium
[ Guido Günther ]
* [d8ac69c] Add README.source
* [43106e0] Add links to alioth and upstream
* [b673725] gbp.conf: Switch to upstream/latest
* [4793176] autopkgtests: install kopano-backup and be less verbose
* [4ca7a79] Unbreak backup test by using an existing user
[ Mark Dufour ]
* [51b8d14] add basic user backup/restore test for kopano-backup
* [9490f3d] kopanocore: enable configure switch for using PHP7.
[ Carsten Schoenert ]
* [bdac342] kopano-utils.install: Install kopano-cachestat
(Closes: #842357)
* [5d9e3a0] d/rules: be less verbose while dh_install.
* [6fabdfa] d/control: update mysql-client related Build-Depends.
* [45912cb] d/control: adding some versioned depends on lsb-base.
* [2263a17] d/control: update Recommends and Depends on mysql-{client,server}
* [decea40] kopano-*.{install,links}: moving dh sequencer more to M-A.
* [538c362,a8617f1] Update patches:
Replace use-changed-function-name-after-gsoap-2.8.35.patch
with build-support-gsoap-2.8.36.patch from upstream
New patches:
- fixup-spelling-issues-against-8.1.0.patch
- kopano-cachestat-update-docstring-remove-diff-function.patch
- adjust-search-path-for-php-config-script-on-php7.0.patch
- change-shebang-to-usr-bin-php7.0.patch
- OpenSSL-Make-SSLv2-conditional.patch
* [d43221d] Add lintian override for 'Nam' which is a Vietnamese word
* [a02a65f,82b7164,9940348] Swith to PHP7

See Also

Package Description
php7.1-mbstring_7.1.8-1ubuntu1_i386.deb MBSTRING module for PHP
php7.1-mcrypt_7.1.8-1ubuntu1_i386.deb libmcrypt module for PHP
php7.1-phpdbg_7.1.8-1ubuntu1_i386.deb server-side, HTML-embedded scripting language (PHPDBG binary)
php7.1-soap_7.1.8-1ubuntu1_i386.deb SOAP module for PHP
php7.1-sybase_7.1.8-1ubuntu1_i386.deb Sybase module for PHP
php7.1-xsl_7.1.8-1ubuntu1_all.deb XSL module for PHP (dummy)
php7.1-zip_7.1.8-1ubuntu1_i386.deb Zip module for PHP
php7cc_1.1.0-1_i386.deb command line tool to detect PHP 7 incompatible code
phpab_1.21.0-3_all.deb lightweight PHP namespace aware autoload generator
phpcpd_2.0.4-1_all.deb copy and paste detector (CPD) for PHP code
phpdox_0.8.1.1-2_all.deb documentation generation framework and tool
phpldapadmin_1.2.2-6ubuntu1_all.deb web based interface for administering LDAP servers
phploc_4.0.0-1_all.deb tool for quickly measuring the size of a PHP project
phpmd_2.6.0-1_all.deb PHP Mess Detector
phpmyadmin_4.6.6-5_all.deb MySQL web administration tool
Advertisement
Advertisement